For the complete documentation index, see llms.txt. This page is also available as Markdown.

Secret Storage

Verwaltung von Secrets (Passwörter, API-Keys, Tokens)

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestringOptional

Eindeutiger Name des Secrets

get/cmn/secrets/{id}
GET /api/cmn/secrets/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "data": []
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestringOptional

Eindeutiger Name des Secrets

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestringOptional

Eindeutiger Name des Secrets

put/cmn/secrets/{id}
PUT /api/cmn/secrets/{id} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "version": "text",
  "info": {},
  "id": "text",
  "name": "text",
  "data": []
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "data": []
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/secrets/{id}
DELETE /api/cmn/secrets/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestringOptional

Eindeutiger Name des Secrets

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestringOptional

Eindeutiger Name des Secrets

post/cmn/secrets
POST /api/cmn/secrets HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "version": "text",
  "info": {},
  "id": "text",
  "name": "text",
  "data": []
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "data": []
}

Secret anhand des Namens laden

get
Path parameters
namestringRequired
Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestringOptional

Eindeutiger Name des Secrets

get/cmn/secrets/by-name/{name}
GET /api/cmn/secrets/by-name/{name} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "data": []
}

Secret anhand des Namens löschen

delete
Path parameters
namestringRequired
Responses
200

OK

No content

delete/cmn/secrets/by-name/{name}
DELETE /api/cmn/secrets/by-name/{name} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
200

OK

No content

Last updated

Was this helpful?